Package it.ernytech.tdlib

## Class TdApi.Object

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object

Direct Known Subclasses:
  `TdApi.AccountTtl`, `TdApi.Animation`, `TdApi.Animations`, `TdApi.Audio`, `TdApi.AuthenticationCodeInfo`, `TdApi.AuthenticationCodeType`, `TdApi.AuthorizationState`, `TdApi.BasicGroup`, `TdApi.BasicGroupFullInfo`, `TdApi.BotCommand`, `TdApi.BotInfo`, `TdApi.Call`, `TdApi.CallbackQueryAnswer`, `TdApi.CallbackQueryPayload`, `TdApi.CallConnection`, `TdApi.CallDiscardReason`, `TdApi.CallId`, `TdApi.CallProtocol`, `TdApi.CallState`, `TdApi.Chat`, `TdApi.ChatAction`, `TdApi.ChatEvent`, `TdApi.ChatEventAction`, `TdApi.ChatEventLogFilters`, `TdApi.ChatEvents`, `TdApi.ChatInviteLink`, `TdApi.ChatInviteLinkInfo`, `TdApi.ChatMember`, `TdApi.ChatMembers`, `TdApi.ChatMemberStatus`, `TdApi.ChatPhoto`, `TdApi.ChatReportReason`, `TdApi.ChatReportSpamState`, `TdApi.Chats`, `TdApi.ChatType`, `TdApi.CheckChatUsernameResult`, `TdApi.ConnectedWebsite`, `TdApi.ConnectedWebsites`, `TdApi.ConnectionState`, `TdApi.Contact`, `TdApi.Count`, `TdApi.CustomRequestResult`, `TdApi.DeviceToken`, `TdApi.Document`, `TdApi.DraftMessage`, `TdApi.Error`, `TdApi.File`, `TdApi.FileType`, `TdApi.FormattedText`, `TdApi.FoundMessages`, `TdApi.Function`, `TdApi.Game`, `TdApi.GameHighScore`, `TdApi.GameHighScores`, `TdApi.Hashtags`, `TdApi.ImportedContacts`, `TdApi.InlineKeyboardButton`, `TdApi.InlineKeyboardButtonType`, `TdApi.InlineQueryResult`, `TdApi.InlineQueryResults`, `TdApi.InputCredentials`, `TdApi.InputFile`, `TdApi.InputInlineQueryResult`, `TdApi.InputMessageContent`, `TdApi.InputSticker`, `TdApi.InputThumbnail`, `TdApi.Invoice`, `TdApi.KeyboardButton`, `TdApi.KeyboardButtonType`, `TdApi.LabeledPricePart`, `TdApi.LinkState`, `TdApi.LocalFile`, `TdApi.Location`, `TdApi.MaskPoint`, `TdApi.MaskPosition`, `TdApi.Message`, `TdApi.MessageContent`, `TdApi.MessageForwardInfo`, `TdApi.Messages`, `TdApi.MessageSendingState`, `TdApi.NetworkStatistics`, `TdApi.NetworkStatisticsEntry`, `TdApi.NetworkType`, `TdApi.NotificationSettings`, `TdApi.NotificationSettingsScope`, `TdApi.Ok`, `TdApi.OptionValue`, `TdApi.OrderInfo`, `TdApi.PageBlock`, `TdApi.PasswordRecoveryInfo`, `TdApi.PasswordState`, `TdApi.PaymentForm`, `TdApi.PaymentReceipt`, `TdApi.PaymentResult`, `TdApi.PaymentsProviderStripe`, `TdApi.Photo`, `TdApi.PhotoSize`, `TdApi.ProfilePhoto`, `TdApi.Proxy`, `TdApi.PublicMessageLink`, `TdApi.RecoveryEmailAddress`, `TdApi.RemoteFile`, `TdApi.ReplyMarkup`, `TdApi.RichText`, `TdApi.SavedCredentials`, `TdApi.SearchMessagesFilter`, `TdApi.SecretChat`, `TdApi.SecretChatState`, `TdApi.Session`, `TdApi.Sessions`, `TdApi.ShippingAddress`, `TdApi.ShippingOption`, `TdApi.Sticker`, `TdApi.StickerEmojis`, `TdApi.Stickers`, `TdApi.StickerSet`, `TdApi.StickerSetInfo`, `TdApi.StickerSets`, `TdApi.StorageStatistics`, `TdApi.StorageStatisticsByChat`, `TdApi.StorageStatisticsByFileType`, `TdApi.StorageStatisticsFast`, `TdApi.Supergroup`, `TdApi.SupergroupFullInfo`, `TdApi.SupergroupMembersFilter`, `TdApi.TdlibParameters`, `TdApi.TemporaryPasswordState`, `TdApi.TestBytes`, `TdApi.TestInt`, `TdApi.TestString`, `TdApi.TestVectorInt`, `TdApi.TestVectorIntObject`, `TdApi.TestVectorString`, `TdApi.TestVectorStringObject`, `TdApi.Text`, `TdApi.TextEntities`, `TdApi.TextEntity`, `TdApi.TextEntityType`, `TdApi.TextParseMode`, `TdApi.TMeUrl`, `TdApi.TMeUrls`, `TdApi.TMeUrlType`, `TdApi.TopChatCategory`, `TdApi.Update`, `TdApi.User`, `TdApi.UserFullInfo`, `TdApi.UserPrivacySetting`, `TdApi.UserPrivacySettingRule`, `TdApi.UserPrivacySettingRules`, `TdApi.UserProfilePhotos`, `TdApi.Users`, `TdApi.UserStatus`, `TdApi.UserType`, `TdApi.ValidatedOrderInfo`, `TdApi.Venue`, `TdApi.Video`, `TdApi.VideoNote`, `TdApi.VoiceNote`, `TdApi.Wallpaper`, `TdApi.Wallpapers`, `TdApi.WebPage`, `TdApi.WebPageInstantView`

Enclosing class:
  TdApi

    public abstract static class TdApi.Object
    extends java.lang.Object

This class is a base class for all TDLib interface classes.

### Constructor Summary

Constructors
`Object()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract int` `getConstructor()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Object

    public Object()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  string representation of the object.

#### getConstructor

    public abstract int getConstructor()

Returns:
  identifier uniquely determining type of the object.